package com.heketai.website.common.utils;

import com.heketai.website.common.vo.LoginUserInfo;


/**
 * @创建人：yanBin
 * @创建时间：2022/5/17
 * @简介：处理请求头的token字符串
 */
@SuppressWarnings("all")
public class TokenByGetName {

    public static String getName(String token) {
        LoginUserInfo loginUserInfo = TokenParseUtil.parseUserInfoFromToken(token);
        if (loginUserInfo == null) {
            return null;
        }
        return loginUserInfo.getUsername();
    }
}
